curl --request DELETE \
--url https://api.devin.ai/v3/organizations/{org_id}/automations/{automation_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.devin.ai/v3/organizations/{org_id}/automations/{automation_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.devin.ai/v3/organizations/{org_id}/automations/{automation_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"actions": [
{
"prompt": "<string>",
"session": {
"bypass_approval": false,
"notifications": {
"slack": {
"channel_id": "<string>",
"mode": "post_updates"
}
},
"platform": "<string>",
"playbook_id": "<string>",
"repos": [],
"tags": []
},
"type": "start_session"
}
],
"automation_id": "<string>",
"created_at": 123,
"created_by": {
"id": "<string>",
"type": "user",
"name": "<string>"
},
"enabled": true,
"name": "<string>",
"triggers": [
{
"event_type": "<string>",
"trigger_id": "<string>",
"conditions": {
"any": [
{
"all": [
{
"field": "<string>",
"operator": "eq",
"value": "<string>"
}
]
}
]
},
"replies": [],
"webhook": {
"url": "<string>",
"secret": "<string>"
}
}
],
"updated_at": 123,
"concurrency": {
"max_concurrent_runs": 2,
"max_queue_depth": 1
},
"last_edited_by": {
"id": "<string>",
"type": "user",
"name": "<string>"
},
"last_invocation": {
"fired_at": 123,
"status": "<string>"
},
"limits": {
"invocations": {
"max_per_window": 2,
"window_seconds": 61
},
"max_acu_limit": 500
},
"metadata": {},
"notifications": {
"email": {
"when": "always",
"recipients": [
"<string>"
]
},
"slack": {
"channel_id": "<string>",
"when": "always"
}
},
"run_as": {
"type": "organization"
},
"security_profile": {
"selection": "inherit",
"profile_id": "<string>",
"warnings": []
},
"session_settings": {
"devin_mode": "normal",
"net_policy": {
"allow": [
{
"hostname": "<string>"
}
]
}
},
"template_id": "<string>",
"tools": {
"linear_enabled": true,
"mcp_servers": [],
"slack_channels": [],
"slack_dm_scope": "org_members"
}
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}Automatisierung löschen
Löscht eine Automatisierung vorläufig und gibt sie zurück.
Berechtigungen
ManageOrgAutomations auf Organisationsebene.
Löschvorgänge erfolgen als Soft Deletes: Die gelöschte Automatisierung wird im Response-Body zurückgegeben.Autorisierungen
Servicebenutzer-Anmeldedaten (Präfix: cog_)
Pfadparameter
Organisations-ID (Präfix: org-)
"org-abc123def456"
Antwort
Erfolgreiche Antwort
- AutomationStartSessionAction
- AutomationMessageSessionAction
- AutomationMonitorSessionAction
Show child attributes
Show child attributes
Ein Nutzer- oder Service-Benutzer-Principal, der einer Action oder Ressource zugeordnet ist.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Ein Nutzer- oder Service-Benutzer-Principal, der einer Action oder Ressource zugeordnet ist.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Identität, unter der gestartete Sitzungen ausgeführt werden. organization: die Automatisierungsidentität der Organisation (der System User in der App) — Sitzungen verwenden Systemberechtigungen, daher können MCP-Server mit einer persönlichen (nutzerbezogenen) Verbindung nicht ausgewählt werden; beim Umschalten einer Automatisierung auf organization werden sie aus der Auswahl entfernt. creator: persönliche Automatisierung — wird mit den Berechtigungen des Erstellers ausgeführt und ist nur für den Ersteller und Organisationsadministratoren sichtbar; für Automatisierungen, die von Service-Benutzern erstellt wurden, nicht zulässig. Beim Erstellen erforderlich; null bei Updates setzt den Wert auf organization zurück.
- AutomationRunAsOrganization
- AutomationRunAsCreator
Show child attributes
Show child attributes
Die Sicherheitsprofilbindung der Automatisierung und die ermittelten maßgeblichen Profile. null, wenn Sicherheitsprofile für die Organisation nicht aktiviert sind.
Show child attributes
Show child attributes
Wird auf jede Sitzung angewendet, die diese Automatisierung startet (einschließlich Überwachungssitzungen).
Show child attributes
Show child attributes
Show child attributes
Show child attributes

